# eoPropCombinedBinOp< EOT > Class Template Reference

COmbined Binary genetic operator: operator() has two operands, only the first one can be modified. More...

`#include <eoProportionalCombinedOp.h>`

Inheritance diagram for eoPropCombinedBinOp< EOT >:

List of all members.

## Public Member Functions

| eoPropCombinedBinOp (eoBinOp< EOT > &_first, const double _rate)
| Ctor.
virtual std::string | className () const
virtual void | add (eoBinOp< EOT > &_op, const double _rate, bool _verbose=false)
virtual void | operator() (EOT &_indi1, const EOT &_indi2)
| The pure virtual function that needs to be implemented by the subclass.

## Private Attributes

std::vector< eoBinOp< EOT > * > | ops
std::vector< double > | rates

## Detailed Description

### template<class EOT>
class eoPropCombinedBinOp< EOT >

COmbined Binary genetic operator: operator() has two operands, only the first one can be modified.

Definition at line 109 of file eoProportionalCombinedOp.h.

The documentation for this class was generated from the following file:

- eoProportionalCombinedOp.h